Classes | Public Types | Static Public Member Functions | List of all members
PatchTableFactory Class Reference

Factory for constructing a PatchTable from a TopologyRefiner. More...

`#include <patchTableFactory.h>`

## Classes
struct | Options
| Public options for the PatchTable factory. More...
struct | PatchFaceTag

## Public Types
typedef std::vector< PatchFaceTag > | PatchTagVector

## Static Public Member Functions
static PatchTable * | Create (TopologyRefiner const &refiner, Options options=Options())
| Factory constructor for PatchTable. More...

## Detailed Description

Factory for constructing a PatchTable from a TopologyRefiner.

Definition at line 43 of file patchTableFactory.h.

## Member Typedef Documentation

## § PatchTagVector

typedef std::vector<PatchFaceTag> PatchTagVector

Definition at line 166 of file patchTableFactory.h.

## Member Function Documentation

## § Create()

static PatchTable* Create | ( | TopologyRefiner const & | refiner,
|  | Options | options = `Options()`
| ) |  |
| static

Factory constructor for PatchTable.

Parameters

  refiner | TopologyRefiner from which to generate patches
  options | Options controlling the creation of the table

Returns
  A new instance of PatchTable

The documentation for this class was generated from the following file:

- opensubdiv/far/patchTableFactory.h